Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jprocessunit.addon.jpd.util
Class TargetTaskInfo

    java.lang.Object
      org.jprocessunit.addon.jpd.util.TargetTaskInfo

    public class TargetTaskInfo

extends java.lang.Object

Constructor Summary
`TargetTaskInfo(com.bea.wli.worklist.api.TaskQuery taskQuery, java.lang.String applicationName, float taskPlanVersion, java.lang.String taskPlanPath)` The wait event is satisfied as soon as a single task matches the query.

Method Summary
`java.lang.String` | `getApplicationName()`
`java.lang.String` | `getTaskPlanPath()`
`float` | `getTaskPlanVersion()`
`com.bea.wli.worklist.api.TaskQuery` | `getTaskQuery()`
`void` | `setApplicationName(java.lang.String applicationName)`
`void` | `setTaskPlanPath(java.lang.String taskPlanPath)`
`void` | `setTaskPlanVersion(float taskPlanVersion)`
`void` | `setTaskQuery(com.bea.wli.worklist.api.TaskQuery taskQuery)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TargetTaskInfo

    public TargetTaskInfo(com.bea.wli.worklist.api.TaskQuery taskQuery,
                          java.lang.String applicationName,
                          float taskPlanVersion,
                          java.lang.String taskPlanPath)

  The wait event is satisfied as soon as a single task matches the query.

  Parameters:
    `taskQuery` - task query matching a single target task
    `taskPlanPath` - the path of the task plan for the targeted task
    `applicationName` - name of the application containing the targeted task plan
    `taskPlanVersion` - the version of the task plan for the targeted task

Method Detail

### getApplicationName

    public java.lang.String getApplicationName()

### setApplicationName

    public void setApplicationName(java.lang.String applicationName)

### getTaskPlanVersion

    public float getTaskPlanVersion()

### setTaskPlanVersion

    public void setTaskPlanVersion(float taskPlanVersion)

### getTaskPlanPath

    public java.lang.String getTaskPlanPath()

### setTaskPlanPath

    public void setTaskPlanPath(java.lang.String taskPlanPath)

### getTaskQuery

    public com.bea.wli.worklist.api.TaskQuery getTaskQuery()

### setTaskQuery

    public void setTaskQuery(com.bea.wli.worklist.api.TaskQuery taskQuery)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JProcessUnit API